Bug 132677 - subscript out of range
Summary: subscript out of range
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ppp   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-15 19:00 UTC by d.binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-16 10:26:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2004-09-15 19:00:06 UTC
Description of problem:

I just tried to compile package ppp-2.4.2-3.1 from
Redhat Fedora Core 3 Test 1.

The compiler said

passprompt.c(64): warning #175: subscript out of range

The source code is

	argv[4] = 0;

but, not 10 lines earlier is

	char *argv[4], fdstr[32];

I'm not sure what the fix is for this.




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Thomas Woerner 2004-09-16 10:26:52 UTC
Fixed in rawhide in rpm ppp-2.4.2-5.1 or newer.


Note You need to log in before you can comment on or make changes to this bug.